/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\events and scenarios\misc\valentinesday\aids.cs
Lines of code: 65
***********************************************************/


using System;
using System.Collections;
using Server.Items;


namespace Server.Mobiles
{
	[CorpseName( "aids remains" )]
	public class aids : BaseCreature
	{
	
		public override WeaponAbility GetWeaponAbility()
		{
			switch ( Utility.Random( 3 ) )
			{
			default:				
			case 0: return WeaponAbility.BleedAttack;
			case 1: return WeaponAbility.MortalStrike;
			case 2: return WeaponAbility.BleedAttack;
			}
		}	

	
		[Constructable]
		public aids() : base( AIType.AI_Melee, FightMode.Closest, 10, 1, 0.029, 0.029 )
		{
			Name = "AIDS";
			BodyValue = 272;
			
			Hue = 1266+Utility.Random(3);			
			
			
			SetDamage( 6, 13 );

			SetDamageType( ResistanceType.Poison, 100 );


			SetResistance( ResistanceType.Physical, 80 );
			SetResistance( ResistanceType.Fire, 10);
			SetResistance( ResistanceType.Cold, 60 );
			SetResistance( ResistanceType.Poison, 100 );
			SetResistance( ResistanceType.Energy, 60  );

			
			SetStr( 90, 160 );
			SetDex( 70, 90 );
			SetInt( 125, 205 );		
			
			
			SetSkill( SkillName.Tactics, 100, 120 );
			SetSkill( SkillName.Focus, 100, 120 );
			SetSkill( SkillName.Wrestling, 100, 120 );


			Fame = 2900;
			Karma = -3000;
			
		}
		
		public override void OnDeath( Container c )
 		{
			base.OnDeath( c );
	 	}
		
		public override Poison HitPoison{ get{ return Poison.Deadly; } }
		public override Poison PoisonImmune{ get{ return Poison.Greater; } }

		public override void GenerateLoot()
		{
		AddLoot( LootPack.Rich );
		}

		

		public aids( Serial serial ) : base( serial )
		{
		}

		public override void Serialize( GenericWriter writer )
		{
			base.Serialize( writer );

			writer.Write( (int) 0 ); // version
		}

		public override void Deserialize( GenericReader reader )
		{
			base.Deserialize( reader );

			int version = reader.ReadInt();
		}
	}
}
